﻿/* Variables
-------------------------------------------------------------------------------------------------------------------------------------------------------------- */
@import '../BetaGeneral/constants.css';


.page--securityScene {
    position: fixed;
    z-index: 600;
}

    .page--securityScene .body--content { }

        .securityScene--code {
            display: flex; flex-direction: row;
        }
        .securityScene--code input {
            margin-top: var(--padding--insideElements); margin-right: 5px;
        }
        .securityScene--code input:last-child {
            margin-right: 0;
        }

    .page--securityScene .body--footer { }
    .page--securityScene .body--footer button:first-child { 
        margin-bottom: var(--padding--insideElements);
    }


.common--customAlert {
    z-index: 800;
}







/* Página: Balance
-------------------------------------------------------------------------------------------------------------------------------------------------------------- */
.page--retiroEfectivoIndex {
    width: var(--width--mainPage); min-height: 100vh;
    display: flex; flex-wrap: wrap; flex-direction: column;
    background-color: #fff;
}
.page--retiroEfectivoIndex[nodisplayed] {
    display: none;
}

    /* Filtros & búsqueda
    -------------------------------------------------- */
    .page--retiroEfectivoIndex .retiroEfectivoIndex--searchFilters {
        margin-top: var(--padding--insideElements);
    }

        .common--searchFilters .searchFilters--branch {
            width: 160px;
        }

        .common--searchFilters .searchFilters--wallet {
            width: 160px;
        }

        .common--searchFilters .searchFilters--month {
                width: 160px; height: 40px;
                padding: 0 var(--padding--insideElements);
                border: solid 1px var(--colorElements--action); border-radius: var(--borderRadius--elements); 
                margin: 0 var(--padding--insideSubtitle) 0 0;
                display: flex; flex-direction: column;

                cursor: pointer;
            }

                .common--searchFilters .searchFilters--month > label {
                    margin: auto;
                
                    font-size: 16px;
                    color: var(--colorText--action);
                    font-weight: bold;
                    text-align: center;
                }
                .common--searchFilters .searchFilters--month > input,
                .common--searchFilters .searchFilters--month > select {
                    height: 30px !important;
                    padding: 0 10px;
                    border: none;
                    margin: auto 0;
                    background-color: lightgray;

                    color: var(--colorText--action);
                    font-weight: bold;
                    text-align: center;

                    cursor: pointer;
                }

        .common--searchFilters .searchFilters--search {
            width: 340px;
        }

    /* Totales
    -------------------------------------------------- */
    .retiroEfectivoIndex--totals {
        display: flex; flex-wrap: wrap;
    }
    .retiroEfectivoIndex--totals > div:first-child {
        margin: 0 auto 0 var(--padding--insideElements) !important;
        visibility: hidden;
    }
    .retiroEfectivoIndex--totals > div:nth-last-child(2) {
        margin: 0 auto;
        visibility: hidden;

        cursor: pointer;
    }
    .retiroEfectivoIndex--totals > div:last-child {
        margin: auto var(--padding--insideElements) auto auto;
    }
    .retiroEfectivoIndex--totals > div:nth-last-child(2):hover {
        background-color: var(--colorElements--actionStrong);
        visibility: hidden;
    }
    .retiroEfectivoIndex--totals > div:nth-last-child(2):hover label {
        color: #fff;

        cursor: pointer;
    }

        .retiroEfectivoIndex--totals .totals--card {
                width: 160px; height: 60px;
                padding: 0 var(--padding--insideElements);
                border: solid 1px var(--colorElements--action); border-radius: var(--borderRadius--elements); 
                margin: 0 var(--padding--insideSubtitle) 0 0;
                display: flex; flex-direction: column;

                cursor: default;
            }

                .retiroEfectivoIndex--totals .totals--card > label {
                    margin: auto;
                
                    font-size: 16px;
                    color: var(--colorText--action);
                    font-weight: bold;
                    text-align: center;
                }
                .retiroEfectivoIndex--totals .totals--card > input {
                    height: 30px !important;
                    padding: 0 10px;
                    border: none;
                    margin: auto 0;
                    background-color: transparent;

                    color: var(--colorText--action);
                    font-weight: bold;
                    text-align: center;

                    cursor: default;
                }

    /* Registros
    -------------------------------------------------- */
    .page--retiroEfectivoIndex .retiroEfectivoIndex--negativeSales { }

        /* Registros
        -------------------------------------------------- */
        .page--retiroEfectivoIndex .retiroEfectivoIndex--negativeSales .notasVenta--content { }

            /* Registros entrada
            -------------------------------------------------- */
            .page--retiroEfectivoIndex .retiroEfectivoIndex--balance .balance--content .js-retiroEfectivoIndex--rowMovimiento[type=Ingreso] .js-rowMovimiento--columnAmount > input {
                color: var(--colorAlerts--successful);
                font-weight: bold;
            }
            .page--retiroEfectivoIndex .retiroEfectivoIndex--balance .balance--content .js-retiroEfectivoIndex--rowMovimiento[type=Egreso] .js-rowMovimiento--columnAmount > input {
                color: var(--colorAlerts--careful);
                font-weight: bold;
            }


            /* Registros eliminados
            -------------------------------------------------- */
            .page--retiroEfectivoIndex .retiroEfectivoIndex--balance .balance--content .js-retiroEfectivoIndex--rowMovimiento[deleted=true] td > input {
                color: var(--colorAlerts--careful);
                font-weight: bold;
            }



/* Página: Cartera
-------------------------------------------------------------------------------------------------------------------------------------------------------------- */
.page--wallet {
    width: var(--width--mainPage); min-height: 100vh;
    display: flex; flex-direction: column;
    background-color: var(--colorInterface--background);
}
.page--wallet[nodisplayed] {
    display: none;
}

    /* Aviso de registro eliminado
    -------------------------------------------------- */
    .page--wallet .wallet--deletedAlert {
        display: none;
        background-color: var(--colorAlerts--careful);
    }

    /* Contenido
    -------------------------------------------------- */
    .page--wallet .wallet--body {
        width: 800px; min-height: 300px;
        margin: var(--padding--insideInterfaces) auto auto;
    }

        .page--wallet .wallet--body .body--form {
           padding: var(--padding--insideElements) var(--padding--insideElements);
        }

            .page--wallet .wallet--body .body--form > .common--label {
                margin-top: var(--padding--insideElements);
            }
            .page--wallet .wallet--body .body--form .common--label:nth-child(1) {
                margin-top: 0;
            }

            .page--wallet .wallet--body .body--form .wallet--option {
                display: flex; flex-direction: row;
            }

                .page--wallet .wallet--body .body--form .wallet--option .common--checkbox {
                    margin: 0;
                }
                .page--wallet .wallet--body .body--form .wallet--option .common--label {
                    margin: 5px 0 auto var(--padding--insideElements);
                }

    /* Interfaz visualización de registro
    -------------------------------------------------- */
    .page--wallet[process="closed"] .wallet--body .body--footer {
        display: none;
    }

    /* Interfaz visualización de registro eliminada
    -------------------------------------------------- */
    .page--wallet[showing="withdeleted"] .wallet--deletedAlert {
        display: flex;
    }

    

/* Dialogo: Cartera terminada
-------------------------------------------------------------------------------------------------------------------------------------------------------------- */
.page--finishedWallet {}
.page--finishedWallet .dformDialog--body {
    width: 600px; height: 280px;
}



/* Página: Movimiento
-------------------------------------------------------------------------------------------------------------------------------------------------------------- */
.page--movement {
    width: var(--width--mainPage); min-height: 100vh;
    display: flex; flex-direction: column; 
    background-color: var(--colorInterface--background);
}
.page--movement[nodisplayed] {
    display: none;
}

    /* Cabecera
    -------------------------------------------------- */
    .page--movement .common--header {
        height: var(--height--elements);       
    }

    /* Aviso de registro eliminado
    -------------------------------------------------- */
    .page--movement .movement--deletedAlert {
        display: none;
        background-color: var(--colorAlerts--careful);
    }

    .page--movement .movement--generalConfiguration {
        margin: var(--padding--insideElements) 0 0;
    }

    /* Contenido
    -------------------------------------------------- */
    .page--movement .movement--body {
        width: 800px; min-height: 300px;
        margin: var(--padding--insideInterfaces) auto var(--padding--insideInterfaces);
    }

        .page--movement .movement--body .body--form {
           padding: var(--padding--insideElements) var(--padding--insideElements);
        }

            .page--movement .movement--body .body--form > .common--label {
                margin-top: var(--padding--insideElements);
            }
            .page--movement .movement--body .body--form .common--label:nth-child(1) {
                margin-top: 0;
            }

            .page--movement .movement--body .body--form .movement--option {
                display: flex; flex-direction: row;
            }

                .page--movement .movement--body .body--form .movement--option .common--checkbox {
                    margin: 0;
                }
                .page--movement .movement--body .body--form .movement--option .common--label {
                    margin: 5px 0 auto var(--padding--insideElements);
                }

                .page--movement[type=Ingreso] .movement--body .body--form input:nth-child(10) {
                    color: var(--colorAlerts--successful);
                    font-weight: bold;
                }
                .page--movement[type=Egreso] .movement--body .body--form input:nth-child(10) {
                    color: var(--colorAlerts--attention);
                    font-weight: bold;
                }

    /* Interfaz visualización de registro eliminada
    -------------------------------------------------- */
    .page--movement[showing="withdeleted"] .movement--deletedAlert {
        display: flex;
    }



/* Dialogo: Movimiento terminado
-------------------------------------------------------------------------------------------------------------------------------------------------------------- */
.page--finishedCreationMovement { }
.page--finishedCreationMovement .dformDialog--body {
    width: 600px; height: 280px;
}



/* Flotante: Opciones adicionales
-------------------------------------------------------------------------------------------------------------------------------------------------------------- */

    /* Interfaz visualización de empleado eliminada
    -------------------------------------------------- */   
    .page--additionalOptions[showing=withdeleted] .additionalOptions--menu .additionalOptions--modify {
        display: none;
    }
    .page--additionalOptions[showing=withdeleted] .additionalOptions--menu .additionalOptions--delete {
        display: none;
    } 
    .common--additionalOptions[showing=withdeleted] .additionalOptions--menu .additionalOptions--modify {
        display: none;
    }
    .common--additionalOptions[showing=withdeleted] .additionalOptions--menu .additionalOptions--delete {
        display: none;
    } 




/* Formato: Formato de impresión
-------------------------------------------------------------------------------------------------------------------------------------------------------------- */
.page--printNota {
    background-color: #fff;
    width: 350px;
    margin-left: 5px;
    padding: 10px;
}

    /* Cabecera
    -------------------------------------------------- */
    .page--printNota .printNota--header {
        width: 100%;
        padding-bottom: 10px;
        border-bottom: solid 1px black;
        margin-bottom: 15px;
        display: flex; flex-direction: column;
    }


        .page--printNota .header--infoBranch { }

            .page--printNota .header--infoBranch p {
                width: 100%;
                margin: 0;

                font-size: 14px;
                line-height: 18px;
                font-family: sans-serif;
                text-align: center;
            }
            .page--printNota .header--infoBranch .infoBranch--sucursal {
                font-size: 16px;
            }
            .page--printNota .header--infoBranch .infoBranch--header {
                margin-bottom: 10px;
            }
            .page--printNota .header--infoBranch .infoBranch--avenida1 {
                margin-bottom: 10px;
            }

        .page--printNota .header--infoAction { }

            .page--printNota .header--infoAction .infoAction--titulo {
                width: 100%;
                margin-top: var(--padding--insideElements);
                margin-bottom: 20px;

                font-size: 16px;
                text-align: center;
                font-family: sans-serif;
                font-weight: bold;
            }
            .page--printNota .header--infoAction table {
                margin: 0 auto;
            }

            .page--printNota .header--infoAction th {
                width: 130px;
                padding: 2px 0 20px;

                text-align: left;
                font-size: 14px;
                line-height: 15px;
                font-family: sans-serif;
            }
            .page--printNota .header--infoAction td {
                text-align: right;
                font-size: 14px;
                line-height: 15px;
                font-family: sans-serif;
            }
           

    /* Contenido
    -------------------------------------------------- */     
    .page--printNota .printNota--content {
        width: 100%;
    }

        .page--printNota .printNota--content .content--productsTable {
            width: 100%;
            border: solid 1px #000; border-collapse: collapse;
            margin-bottom: 10px;
        }

            .page--printNota .content--productsTable tr {
                border-bottom: solid 1px #000;
            }
            .page--printNota .content--productsTable th {
                width: 100%; height: 45px;
                border: solid 1px #000;
                background-color: #f5f5f5;

                font-family: sans-serif;
                font-size: 12px;
                line-height: 16px;
            }
            .page--printNota .content--productsTable td {
                height: 25px;
                border: solid 1px #000;

                font-family: sans-serif;
                font-size: 12px;
                text-align: left;
            }

        .page--printNota .printNota--content .content--TotalsTable { 
            width: 100%;
            border: solid 1px #000; border-collapse: collapse;
            margin-bottom: 10px;
        }

            .page--printNota .content--TotalsTable tr {
                border-bottom: solid 1px #000;
            }
            .page--printNota .content--TotalsTable th {
                height: 30px;
                padding-left: 10px;
                border: solid 1px #000;
                background-color: #f5f5f5;

                font-family: sans-serif;
                font-size: 12px;
                line-height: 13px;
            }
            .page--printNota .content--TotalsTable td {
                height: 25px;
                padding: 0 10px;
                border: solid 1px #000;

                font-family: sans-serif;
                font-size: 12px;
                line-height: 13px;
            }

        .page--printNota .printNota--content > p { 
            width: 100%;
            margin-top: var(--padding--insideElements);

            font-size: 16px;
            text-align: center;
            font-family: sans-serif;
            font-weight: bold;
        }

    /* Pie de página
    -------------------------------------------------- */     
    .page--printNota .printNota--footer {
        display: flex; flex-wrap: wrap;
    }

        .page--printNota .printNota--footer p:nth-child(1),
        .page--printNota .printNota--footer p:nth-child(2) {
            margin: 0;
            flex-grow: 1;

            text-align: center;
        }

        .page--printNota .printNota--footer p:nth-child(1) {
            margin: 5px 0 10px;
        }
        .page--printNota .printNota--footer p:nth-child(2) {
            margin-bottom: 50px;
        }

        .page--printNota .printNota--footer .firmas--firmaVendedor{
            width: 35%;
            border-top: solid 2px black;
            margin: 0 0 0 auto;

            text-align: center;
        }
        .page--printNota .printNota--footer .firmas--firmaAutorización{
            width: 55%;
            padding-top: 5px;
            border-top: solid 2px black;
            margin: 0 auto 0 20px;

            text-align: center;
            line-height: 14px;  
        }
        .page--printNota .content-p1 {
            margin-bottom: 80px;
        }
        .page--printNota .content-p3, .page--printNota .content-p4 {
            margin-bottom: 30px;
        }
        .page--printNota .content-p5 {
            margin-bottom: 90px;
        }